Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Beginner
1,043 Views

I'm having trouble beginning any simulation in Quartus Prime 18.1

I've recently downloaded Quartus Prime Pro 18.1. I'm trying to get even a basic simulation started so I can work from there. I followed this guide here:

 

https://www.intel.com/content/dam/www/programmable/us/en/pdfs/literature/ug/ug_gs_msa_qii.pdf

 

And downloaded the example file, but I think this guide was written for a different version. For example, there is no Tools ➤ Options ➤ EDA Tool Options in my Quartus Prime. My Assignments ➤ Settings ➤ EDA Tool Settings ➤ Simulation looks quite different, and doesn't have the NativeLink section, so I can't start any simulation.

 

I can go to Tools ➤ Generate Simulator Setup Script for IP, but when I click it, I get this error message:

 

Error: 2019.01.17.18:10:20 Error: Device family cyclonev is not supported by ::quartus::sim_lib_info. 

 

Are there any good step by step instructions on how to get started with the simulations?

Tags (1)
0 Kudos
6 Replies
Highlighted
34 Views

Hi Eric,

Good day.

 

Quartus Pro doesn't support the Native Links options but only in Quartus Standard.

Refer the previous thread with similar issue.

https://forums.intel.com/s/question/0D50P00003yyTTESA2/quartus-prime-pro-161-eda-tool-options-not-sh...

 

Let me know if this has helped resolve the issue you are facing or if you need any further assistance.

Thank you. 

 

0 Kudos
Highlighted
Beginner
34 Views

Hi Calvin,

 

I can go to Tools ➤ Generate Simulator Setup Script for IP, but when I click it, I get this error message:

 

Error: 2019.01.17.18:10:20 Error: Device family cyclonev is not supported by ::quartus::sim_lib_info. 

 

Do I need to install the Cyclone V board?

0 Kudos
Highlighted
Beginner
34 Views

Hi Calvin,

 

I can go to Tools ➤ Generate Simulator Setup Script for IP, but when I click it, I get this error message:

 

Error: 2019.01.17.18:10:20 Error: Device family cyclonev is not supported by ::quartus::sim_lib_info. 

 

Do I need to install the Cyclone V board?

 

0 Kudos
Highlighted
34 Views

Hi Eric,

 

Which device you're using? If you're using Quartus Pro, It doesn't support Cyclone V devices.

Refer link below.

https://www.intel.com/content/dam/www/programmable/us/en/pdfs/literature/po/ss-quartus-comparison.pd...

 

Thank you.

0 Kudos
Highlighted
Beginner
34 Views

The device I'm compiling for is a Cyclone 10 GX, so according to that it should work. I believe I'm getting the error because the simulator setup script is also trying to set up for the Cyclone V. Is there any way of altering that?

0 Kudos
Highlighted
34 Views

Hi Eric, Apologize for delayed response. Kindly refer link below. https://www.intel.com/content/dam/www/programmable/us/en/pdfs/literature/hb/cyclone-10/ug_cyclone10_... Thank you.
0 Kudos